Subject: Re: [Bug 41212] New: [regression] [3.1-git] ipoib causes kernel panic (NULL pointer dereference)

From: Bernd Schubert <[email-masked]>
Date: Thu, 18 Aug 2011 13:44:06 +0200

Hello Erez,

maybe it is another bug? Do you have the stack trace?
Any I guess you are the networking expert ;) I only looked at the 
3.1-ipoib issue, as it prevented me too boot at all and I couldn't do my 
real work...

Cheers,
Bernd

On 08/17/2011 11:06 AM, Erez Shitrit wrote:
> Hi Bernd,
> you are right, but it still happened. (also no changes in IPoIB between
> the tags, it might connected to the networking? )
>
> Thanks, Erez
>
> On Tue, Aug 16, 2011 at 1:34 PM, Bernd Schubert
> <[email-masked] <mailto:[email-masked]>> wrote:
>
>     Hello Erez,
>
>     are you sure? Commit 69cce1d1404968f78b177a0314f582 2d5afdbbfb is
>     not in 3.0 yet and I also don't see how 3.0 should fail there, as it
>     tests immediately for "if (likely(skb_dst(skb)"
>
>
>     Thanks,
>     Bernd
>
>
>     On 08/16/2011 10:06 AM, Erez Shitrit wrote:
>
>         Hi,
>         it happened in 3.0 also, if you take the git tag v3.0-rc7 and
>         below it
>         will work.
>
>         Thanks, Erez
>
>         On Mon, Aug 15, 2011 at 6:40 PM, <bugzilla-daemon@bugzilla.
>         kernel.org <mailto:bugzilla-daemon-590EEB7GvNiWaY/[email-masked]>
>         <mailto:bugzilla-daemon@ bugzilla.kernel.org
>         <mailto:bugzilla-daemon-590EEB7GvNiWaY/[email-masked]>>> wrote:
>
>         https://bugzilla.kernel.org/ show_bug.cgi?id=41212
>         <https://bugzilla.kernel.org/show_bug.cgi?id=41212>
>
>                        Summary: [regression] [3.1-git] ipoib causes
>         kernel panic
>             (NULL
>                                 pointer dereference)
>                        Product: Networking
>                        Version: 2.5
>                 Kernel Version: 3.1-git
>                       Platform: All
>                     OS/Version: Linux
>                           Tree: Mainline
>                         Status: NEW
>                       Severity: normal
>                       Priority: P1
>                      Component: Other
>                     AssignedTo: [email-masked]
>         <mailto:[email-masked]>
>         <mailto:acme@ghostprotocols. net <mailto:[email-masked]>>
>
>                     ReportedBy: [email-masked]
>         <mailto:[email-masked]>
>         <mailto:bernd.schubert@ fastmail.fm
>         <mailto:[email-masked]>>
>
>                             CC: [email-masked]
>         <mailto:[email-masked]>
>         <mailto:linux-rdma@vger. kernel.org
>         <mailto:[email-masked]>>
>
>                     Regression: Yes
>
>
>             Each time when I start IPoIB with any 3.1-rcX git version I
>         tested
>             so far I get
>             a kernel panic. This didn't happen in 3.0 yet.
>
>
>             fslab2 login: [  114.392408] EXT4-fs (sdc): barriers disabled
>             [  114.449737] EXT4-fs (sdc): mounted filesystem with
>         writeback data
>             mode.
>             Opts: journal_async_commit,barrier= 0,data=writeback
>             [  240.944030] BUG: unable to handle kernel NULL pointer
>         dereference at
>             0000000000000040
>             [  240.948007] IP: [<ffffffffa0366ce9>]
>         ipoib_start_xmit+0x39/0x280
>             [ib_ipoib]
>             [  240.948007] PGD 1f964f067 PUD 1f9bf2067 PMD 0
>             [  240.948007] Oops: 0000 [#1] SMP
>             [  240.948007] CPU 1
>             [  240.948007] Modules linked in: ext4 mbcache jbd2 crc16 nfsd
>             ib_umad rdma_ucm
>             rdma_cm iw_cm ib_addr ib_uverbs ib_ipoib sg ib_cm ib_sa ipv6
>         sd_mod
>             crc_t10dif
>             loop arcmsr md_mod pcspkr ib_mthca ib_mad ib_core 8250_pnp fuse
>             af_packet nfs
>             lockd fscache auth_rpcgss nfs_acl sunrpc btrfs lzo_decompress
>             lzo_compress
>             zlib_deflate crc32c libcrc32c crypto_hash crypto_algapi
>         ata_generic
>             pata_acpi
>             e1000 pata_amd sata_nv libata scsi_mod unix [last unloaded:
>             scsi_wait_scan]
>             [  240.948007]
>             [  240.948007] Pid: 0, comm: kworker/0:0 Not tainted
>         3.1.0-rc2+ #29
>             Supermicro
>             H8DCE/H8DCE
>             [  240.948007] RIP: 0010:[<ffffffffa0366ce9>]
>           [<ffffffffa0366ce9>]
>             ipoib_start_xmit+0x39/0x280 [ib_ipoib]
>             [  240.948007] RSP: 0018:ffff8801ffc03c10  EFLAGS: 00010246
>             [  240.948007] RAX: 0000000000000000 RBX: ffff8801f99ea000 RCX:
>             0000000000004420
>             [  240.948007] RDX: 0000000000000000 RSI: ffff8801f99ea000 RDI:
>             ffff8801f9afd500
>             [  240.948007] RBP: ffff8801ffc03c40 R08: ffff8801f940d49c R09:
>             ffff8801f9852240
>             [  240.948007] R10: 0000000000000000 R11: 0000000000000020 R12:
>             ffff8801f9afd500
>             [  240.948007] R13: 0000000000000050 R14: ffff8801f99ea600 R15:
>             ffff8801f9852280
>             [  240.948007] FS:  00007f0b66016700(0000)
>         GS:ffff8801ffc00000(0000)
>             knlGS:0000000000000000
>             [  240.948007] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
>             [  240.948007] CR2: 0000000000000040 CR3: 00000001f9a65000 CR4:
>             00000000000006e0
>             [  240.948007] DR0: 0000000000000000 DR1: 0000000000000000 DR2:
>             0000000000000000
>             [  240.948007] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7:
>             0000000000000400
>             [  240.948007] Process kworker/0:0 (pid: 0, threadinfo
>             ffff8800bfe82000, task
>             ffff8800bfe6f1a0)
>             [  240.948007] Stack:
>             [  240.948007]  0000000000000010 ffff8801f9afd500
>         0000000000004420
>             0000000000000050
>             [  240.948007]  ffff8801f99ea000 ffff8801f9852280
>         ffff8801ffc03ca0
>             ffffffff812cd5e0
>             [  240.948007]  0000000000000001 ffffffffa03721a0
>         ffffffff8131f680
>             ffff8801fa110540
>             [  240.948007] Call Trace:
>             [  240.948007] <IRQ>
>             [  240.948007]  [<ffffffff812cd5e0>]
>         dev_hard_start_xmit+0x2a0/ 0x590
>             [  240.948007]  [<ffffffff8131f680>] ? arp_create+0x70/0x200
>             [  240.948007]  [<ffffffff812e8e1f>] sch_direct_xmit+0xef/0x1c0
>             [  240.948007]  [<ffffffff812cd9f9>] dev_queue_xmit+0x129/0x3b0
>             [  240.948007]  [<ffffffff8131f853>] arp_send+0x43/0x50
>             [  240.948007]  [<ffffffff8131f96b>] arp_solicit+0x10b/0x240
>
>             --
>             Configure bugmail: https://bugzilla.kernel.org/
>         userprefs.cgi?tab=email
>         <https://bugzilla.kernel.org/userprefs.cgi?tab=email>
>             ------- You are receiving this mail because: -------
>             You are on the CC list for the bug.
>             --
>             To unsubscribe from this list: send the line "unsubscribe
>         linux-rdma" in
>             the body of a message to [email-masked]
>         <mailto:[email-masked]>
>         <mailto:[email-masked] org
>         <mailto:[email-masked]>>
>
>             More majordomo info at http://vger.kernel.org/
>         majordomo-info.html <http://vger.kernel.org/majordomo-info.html>
>
>
>
>

--
To unsubscribe from this list: send the line "unsubscribe linux-rdma" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html